Subject: Carfax lost at the crossroads, how bout "rengueras"

From: Aussie Meyer <[email-masked]>
Date: Thu, 22 Jul 2004 08:28:48 -0500

Hutch had to go and know that a carfax is a junction where 4 roads 
meet.   You guys!

Put "rengueras" in yer pipe and smoke it - or define it, of course.